---
type: api
title: Update a saved object
description: WARNING: This API is deprecated. This is a legacy Saved Objects API and may be removed in a future version of Kibana.
url: https://www.elastic.co/docs/api/doc/kibana/v0/operation/operation-put-saved-objects-type-id
resource: https://www.elastic.co/docs/api/doc/kibana/v0/operation/operation-put-saved-objects-type-id
products:
  - Kibana
---

# Update a saved object

deprecated

Authentication: required

- Server: `https://{kibana_url}`

## Paths

- `PUT` `/api/saved_objects/{type}/{id}`

#### Path parameters

- `type` (string · max length: 256) — required
  The saved object type.
- `id` (string · max length: 512) — required
  The saved object identifier.

## Description

WARNING: This API is deprecated. This is a legacy Saved Objects API and may be removed in a future version of Kibana.

Updates a single Kibana saved object by type and ID.

For transferring or backing up saved objects, prefer the import and export APIs (`POST /api/saved_objects/_import` and `POST /api/saved_objects/_export`).

## Header parameters

- `kbn-xsrf` (string) — required
  A required header to protect against CSRF attacks

## Request body

`application/json`

- `attributes` (map string to object) — required
- `references` (object[] · max items: 1000) — optional
  - `id` (string · max length: 512) — required
  - `name` (string · max length: 1024) — required
  - `type` (string · max length: 256) — required
- `upsert` (map string to object) — optional
- `version` (string · max length: 256) — optional

## Responses

#### `200`

A successful update response.

`application/json`

#### `404`

Not found.

`application/json`

#### `409`

A conflict error.

`application/json`

## Code examples

#### Console

```console
PUT kbn://api/saved_objects/dashboard/example-dashboard-1
{"attributes":{"title":"Updated dashboard title"},"references":[]}
```

#### curl

```curl
curl \
  -X PUT "${KIBANA_URL}/api/saved_objects/dashboard/example-dashboard-1" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -H "kbn-xsrf: true" \
  -H "Content-Type: application/json" \
  -d '{"attributes":{"title":"Updated dashboard title"},"references":[]}'
```

## Response examples

#### An updated saved object

`application/json`

```json
{
  "attributes": {
    "title": "Updated dashboard title"
  },
  "id": "example-dashboard-1",
  "managed": false,
  "namespaces": [
    "default"
  ],
  "references": [],
  "type": "dashboard",
  "updated_at": "2026-04-17T12:00:00.000Z",
  "version": "WzIsMV0="
}
```

#### A not found error

`application/json`

```json
{
  "error": "Not Found",
  "message": "Saved object [dashboard/does-not-exist] not found",
  "statusCode": 404
}
```

#### A conflict error

`application/json`

```json
{
  "error": "Conflict",
  "message": "Saved object [dashboard/example-dashboard-1] conflict",
  "statusCode": 409
}
```

